# Ceph Quick Start Guide

**Last Updated**: 2024-12-19

## Quick Installation

### Automated Installation

```bash
# 1. Install Ceph
./scripts/install-ceph.sh

# 2. Integrate with Proxmox
./scripts/integrate-ceph-proxmox.sh
```

### Manual Installation

```bash
# On deployment node (ML110-01)
su - ceph
cd ~
mkdir ceph-cluster
cd ceph-cluster

# Initialize cluster
ceph-deploy new ml110-01 r630-01

# Edit ceph.conf for 2-node setup
cat >> ceph.conf << EOF
osd pool default size = 2
osd pool default min size = 1
public network = 192.168.11.0/24
cluster network = 192.168.11.0/24
EOF

# Install and deploy
ceph-deploy install ml110-01 r630-01
ceph-deploy mon create-initial
ceph-deploy admin ml110-01 r630-01

# Add OSDs (replace /dev/sdX with actual disks)
ceph-deploy disk zap ml110-01 /dev/sdb
ceph-deploy osd create --data /dev/sdb ml110-01
ceph-deploy disk zap r630-01 /dev/sdb
ceph-deploy osd create --data /dev/sdb r630-01

# Deploy manager
ceph-deploy mgr create ml110-01 r630-01

# Create RBD pool
ceph osd pool create rbd 128 128
rbd pool init rbd
```

## Proxmox Integration

### Add RBD Storage

```bash
# On each Proxmox node
pvesm add rbd ceph-rbd \
    --pool rbd \
    --monhost 192.168.11.10,192.168.11.11 \
    --username admin \
    --content images,rootdir
```

### Add CephFS Storage

```bash
# On each Proxmox node
pvesm add cephfs ceph-fs \
    --monhost 192.168.11.10,192.168.11.11 \
    --username admin \
    --fsname cephfs \
    --content iso,backup
```

## Common Commands

### Cluster Status

```bash
# Cluster status
ceph -s

# OSD tree
ceph osd tree

# Health detail
ceph health detail
```

### Storage Management

```bash
# List pools
ceph osd pool ls

# Pool stats
ceph df detail

# Create pool
ceph osd pool create <pool-name> <pg-num> <pgp-num>
```

### Proxmox Storage

```bash
# List storage
pvesm status

# Storage usage
pvesm list
```

## Dashboard Access

```bash
# Enable dashboard
ceph mgr module enable dashboard

# Create user
ceph dashboard ac-user-create admin <password> administrator

# Access: https://ml110-01.sankofa.nexus:8443
```

## Related Documentation

- [Full Installation Guide](./CEPH_INSTALLATION.md)
- [Proxmox Integration](./CEPH_PROXMOX_INTEGRATION.md)

